# PrefDialog Class Reference

`#include <prefdialog.h>`

List of all members.

## Public Slots
bool | openPref ()
void | resetPrefDialog ()
void | savePref ()
## Public Member Functions
| PrefDialog (MainWindow *parent, PageCtrl *pageCtrl, SessionManager *sessionManager, ImportExport *importExport, PrintPrepare *printPrepare, POUInfoDialog *pouInfoDialog, FileViewDialog *fileViewDialog, FindDialog *findDialog, FncDialog *fncDialog, FBDialog *fbDialog, HelpWidget *helpWidget, AboutDialog *aboutDialog, UpdateInfo *updateInfo)
virtual | ~PrefDialog ()
## Private Slots
void | setPrefListRow (int i)
void | applyPrefDialog ()
void | cancelDialog ()
void | clearRecentFilesHistory ()
void | checkHiLineColor ()
void | okClickPrefDialog ()
void | getHiLineColor ()
void | getLastDir ()
void | retranslateUi ()
void | saveAllPages ()
void | setColorButton (QColor color)
void | setHiLineColor (QColor color)
void | setLastDir ()
void | setSessionDir ()
void | startTimer ()
void | stopTimer ()
## Private Member Functions
QString | getExtNumber (QString str)
void | getLanguages ()
void | setTimer (bool set)
QString | strFragment (QString str)
void | switchLang ()
## Private Attributes
MainWindow * | m_MainWindow
| instance of MainWindow class
PageCtrl * | m_PageCtrl
| instance of PageCtrl class
SessionManager * | m_SessionManager
| instance of SessionManager class
ImportExport * | m_ImportExport
| instance of ImportExport class
PrintPrepare * | m_PrintPrepare
| instance of PrintPrepare class
POUInfoDialog * | m_POUInfoDialog
| instance of POUInfoDialog class
FileViewDialog * | m_FileViewDialog
| instance of FileViewDialog class
FindDialog * | m_FindDialog
| instance of FindDialog class
FncDialog * | m_FncDialog
| instance of FcnDialog class
FBDialog * | m_FBDialog
| instance of FBDialog class
HelpWidget * | m_HelpWidget
| instance of HelpWidget class
AboutDialog * | m_AboutDialog
| instance of AboutDialog class
UpdateInfo * | m_UpdateInfo
| instance of UpdateInfo class
QTranslator | appTranslator
| application translator
QTimer * | timer
| "auto save" timer
QColor | hiLineColor
| highlighting color for current line
QString | appDir
| application directory
QString | langDir
| language directory
QString | language
| current interface language
QString | msg_head_lastDirDialog
| message string for "preset directory" dialog
QString | msg_head_sessionDirDialog
| message string for "session directory" dialog

## Constructor & Destructor Documentation

PrefDialog::PrefDialog | ( | MainWindow * | parent,
|  | PageCtrl * | pageCtrl,
|  | SessionManager * | sessionManager,
|  | ImportExport * | importExport,
|  | PrintPrepare * | printPrepare,
|  | POUInfoDialog * | pouInfoDialog,
|  | FileViewDialog * | fileViewDialog,
|  | FindDialog * | findDialog,
|  | FncDialog * | fncDialog,
|  | FBDialog * | fbDialog,
|  | HelpWidget * | helpWidget,
|  | AboutDialog * | aboutDialog,
|  | UpdateInfo * | updateInfo |
| ) |  |  |

creating function

Parameters:

  | PageCtrl | class, SessionManager class, ImportExport class, PrintPrepare class, POUInfoDialog class, FileView class, FindDialog class, FcnDialog class, HelpWidget class

PrefDialog::~PrefDialog | ( |  | ) | `[virtual]`

virtual destructor

## Member Function Documentation

void PrefDialog::applyPrefDialog | ( |  | ) | `[private, slot]`

apply changes from preferences dialog

void PrefDialog::cancelDialog | ( |  | ) | `[private, slot]`

cancel settings by re-open preferences file

void PrefDialog::checkHiLineColor | ( |  | ) | `[private, slot]`

check highlighting color for current line against lightness and saturation

void PrefDialog::clearRecentFilesHistory | ( |  | ) | `[private, slot]`

clear recent files history

QString PrefDialog::getExtNumber | ( | QString | str | ) | `[private]`

return extension from str as number

void PrefDialog::getHiLineColor | ( |  | ) | `[private, slot]`

get highlighting color for current line from color dialog

void PrefDialog::getLanguages | ( |  | ) | `[private]`

get language files and fill into Pref_comboBox_Lang

void PrefDialog::getLastDir | ( |  | ) | `[private, slot]`

get last directory from ImportExport class

void PrefDialog::okClickPrefDialog | ( |  | ) | `[private, slot]`

close preferences dialog

bool PrefDialog::openPref | ( |  | ) | `[slot]`

open preferences file and activate settings

void PrefDialog::resetPrefDialog | ( |  | ) | `[slot]`

void PrefDialog::retranslateUi | ( |  | ) | `[private, slot]`

retranslate Ui

void PrefDialog::saveAllPages | ( |  | ) | `[private, slot]`

save all pages if "auto save" is enabled

void PrefDialog::savePref | ( |  | ) | `[slot]`

save preferences file from current application status

void PrefDialog::setColorButton | ( | QColor | color | ) | `[private, slot]`

set the color for toolbutton HiLineColor

void PrefDialog::setHiLineColor | ( | QColor | color | ) | `[private, slot]`

set highlighting color for current line for toolbutton HiLineColor and m_PageCtrl->hiLineColor

void PrefDialog::setLastDir | ( |  | ) | `[private, slot]`

set last directory to ImportExport class

void PrefDialog::setPrefListRow | ( | int | i | ) | `[private, slot]`

slot set row in preferences page list by i

void PrefDialog::setSessionDir | ( |  | ) | `[private, slot]`

set Sessions directory

void PrefDialog::setTimer | ( | bool | set | ) | `[private]`

set timer status by set

void PrefDialog::startTimer | ( |  | ) | `[private, slot]`

slot start timer, if enabled in preferences dialog

void PrefDialog::stopTimer | ( |  | ) | `[private, slot]`

slot stop timer

QString PrefDialog::strFragment | ( | QString | str | ) | `[private]`

get fragment of str (remove from position 0 to next '=' sign)

void PrefDialog::switchLang | ( |  | ) | `[private]`

switch interface language

## Member Data Documentation

QString PrefDialog::appDir`[private]`

application directory

QTranslator PrefDialog::appTranslator`[private]`

application translator

QColor PrefDialog::hiLineColor`[private]`

highlighting color for current line

QString PrefDialog::langDir`[private]`

language directory

QString PrefDialog::language`[private]`

current interface language

AboutDialog* PrefDialog::m_AboutDialog`[private]`

instance of AboutDialog class

FBDialog* PrefDialog::m_FBDialog`[private]`

instance of FBDialog class

FileViewDialog* PrefDialog::m_FileViewDialog`[private]`

instance of FileViewDialog class

FindDialog* PrefDialog::m_FindDialog`[private]`

instance of FindDialog class

FncDialog* PrefDialog::m_FncDialog`[private]`

instance of FcnDialog class

HelpWidget* PrefDialog::m_HelpWidget`[private]`

instance of HelpWidget class

ImportExport* PrefDialog::m_ImportExport`[private]`

instance of ImportExport class

MainWindow* PrefDialog::m_MainWindow`[private]`

instance of MainWindow class

PageCtrl* PrefDialog::m_PageCtrl`[private]`

instance of PageCtrl class

POUInfoDialog* PrefDialog::m_POUInfoDialog`[private]`

instance of POUInfoDialog class

PrintPrepare* PrefDialog::m_PrintPrepare`[private]`

instance of PrintPrepare class

SessionManager* PrefDialog::m_SessionManager`[private]`

instance of SessionManager class

UpdateInfo* PrefDialog::m_UpdateInfo`[private]`

instance of UpdateInfo class

QString PrefDialog::msg_head_lastDirDialog`[private]`

message string for "preset directory" dialog

QString PrefDialog::msg_head_sessionDirDialog`[private]`

message string for "session directory" dialog

QTimer* PrefDialog::timer`[private]`

"auto save" timer

The documentation for this class was generated from the following files:

- prefdialog.h
- prefdialog.cpp